Subject: bug#49005: 28.0.50; Not possible to jump to first or last completions entry in fido-vertical-mode

From: João Távora <[email-masked]>
Date: Wed, 30 Jun 2021 21:08:55 +0100

No, no, makes a lot of sense.  I just haven't looked at your code
yet in depth.

Your implementation seems to repeat some logic, and I'd rather
reuse paging code, so maybe you can work on that: reducing code
duplication.  But as soon as I have time I'll look at this and offer some
suggestions.

Sorry for the delay, and keep bumping this if I forget.

João

On Wed, Jun 30, 2021 at 8:27 PM Simon Lang <[email-masked]> wrote:
>
> doesn’t make sense?
>
> > On 13 Jun 2021, at 16:27, Simon Lang <[email-masked]> wrote:
> >
> >
> > In the brand new fido-vertical mode, completions are not cycled in contrast to icomplete-vertical-mode.
> > There is not yet a function to jump to the first or last completions entry, which sometimes can be helpful.
> > This patch would proposes two simple helper functions for doing that.
> >
> > Thank you!
> >
> >
> >
> >
> >
> > In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.5.0, NS appkit-2022.50 Version 11.4 (Build 20F71))
> >  of 2021-06-06 built on Zwei.local
> > Windowing system distributor 'Apple', version 10.3.2022
> > System Description:  macOS 11.4
> >
> > Configured using:
> >  'configure --disable-dependency-tracking --disable-silent-rules
> >  --enable-locallisppath=/usr/local/share/emacs/site-lisp
> >  --infodir=/usr/local/Cellar/emacs-plus@28/28.0.50/share/info/emacs
> >  --prefix=/usr/local/Cellar/emacs-plus@28/28.0.50 --with-xml2
> >  --with-gnutls --with-native-compilation --without-dbus
> >  --with-imagemagick --with-modules --with-rsvg --with-ns
> >  --disable-ns-self-contained 'CFLAGS=-I/usr/local/opt/gcc/include
> >  -I/usr/local/opt/libgccjit/include -I/usr/local/opt/gmp/include
> >  -I/usr/local/opt/jpeg/include' 'LDFLAGS=-L/usr/local/lib/gcc/11
> >  -I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
> >  -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include''
> >
> > Configured features:
> > ACL GIF GLIB GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
> > NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF
> > TOOLKIT_SCROLL_BARS XIM ZLIB
> >
> > Important settings:
> >   value of $LANG: en_GB.UTF-8
> >   locale-coding-system: utf-8-unix
> >
> > Major mode: Lisp Interaction
> >
> > Minor modes in effect:
> >   tooltip-mode: t
> >   global-eldoc-mode: t
> >   eldoc-mode: t
> >   electric-indent-mode: t
> >   mouse-wheel-mode: t
> >   tool-bar-mode: t
> >   menu-bar-mode: t
> >   file-name-shadow-mode: t
> >   global-font-lock-mode: t
> >   font-lock-mode: t
> >   blink-cursor-mode: t
> >   auto-composition-mode: t
> >   auto-encryption-mode: t
> >   auto-compression-mode: t
> >   line-number-mode: t
> >   transient-mark-mode: t
> >
> > Load-path shadows:
> > None found.
> >
> > Features:
> > (shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
> > rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
> > rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
> > eieio-loaddefs password-cache json map text-property-search time-date
> > subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
> > mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
> > cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
> > iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
> > lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
> > term/common-win tool-bar dnd fontset image regexp-opt fringe
> > tabulated-list replace newcomment text-mode elisp-mode lisp-mode
> > prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
> > timer select scroll-bar mouse jit-lock font-lock syntax font-core
> > term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
> > misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
> > cp51932 hebrew greek romanian slovak czech european ethiopic indian
> > cyrillic chinese composite charscript charprop case-table epa-hook
> > jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
> > loaddefs faces cus-face macroexp files window text-properties overlay
> > sha1 md5 base64 format env code-pages mule custom widget
> > hashtable-print-readable backquote threads kqueue cocoa ns lcms2
> > multi-tty make-network-process native-compile emacs)
> >
> > Memory information:
> > ((conses 16 67367 8465)
> >  (symbols 48 6527 0)
> >  (strings 32 18695 2230)
> >  (string-bytes 1 645512)
> >  (vectors 16 13390)
> >  (vector-slots 8 280721 11188)
> >  (floats 8 22 39)
> >  (intervals 56 226 0)
> >  (buffers 992 10))
> >
> > <0001-icomplete-vertical-functions-to-go-to-first-or-last-.patch>
>

-- 
João Távora